#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct BandPassConfiguration {
    #[serde(rename = "lowPassbandFrequency")]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    low_passband_frequency: f64,
    #[serde(rename = "highPassbandFrequency")]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    high_passband_frequency: f64,
}
impl BandPassConfiguration {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(low_passband_frequency: f64, high_passband_frequency: f64) -> Self {
        Self::builder()
            .low_passband_frequency(low_passband_frequency)
            .high_passband_frequency(high_passband_frequency)
            .build()
    }
    #[inline]
    pub fn low_passband_frequency(&self) -> f64 {
        self.low_passband_frequency
    }
    #[inline]
    pub fn high_passband_frequency(&self) -> f64 {
        self.high_passband_frequency
    }
}
